List all connectors & actions metadata
curl --request GET \
--url https://api.stackone.com/actions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.stackone.com/actions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.stackone.com/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "<string>",
"data": [
{
"account_id": "<string>",
"integration_id": "<string>",
"connector_profile_id": "<string>",
"version": "<string>",
"name": "<string>",
"key": "<string>",
"icon": "<string>",
"description": "<string>",
"release_stage": "<string>",
"categories": [
"hris",
"ats"
],
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
],
"scope_definitions": [
{
"name": "<string>",
"description": "<string>",
"includes": [
"<string>"
]
}
],
"actions": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"schema_type": "<string>",
"syncable": true,
"supports_incremental": true,
"tags": [
"<string>"
],
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
],
"action_details": {},
"required_scopes": [
"<string>"
]
}
],
"event_actions": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"release_stage": "<string>",
"requires_manual_setup": true,
"authentication": [
{
"type": "<string>",
"label": "<string>",
"key": "<string>",
"required_scopes": [
"<string>"
],
"support": {
"link": "<string>",
"description": "<string>",
"guides": {
"config": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
},
"setup": {
"sections": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"steps": [
{
"title": "<string>",
"content": "<string>",
"list": [
"<string>"
],
"displayScopes": true,
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"applicableScopes": [
"<string>"
],
"image": {
"src": "<string>",
"alt": "<string>"
}
}
],
"warning": "<string>"
}
}
}
}
]
}
]
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}List all connectors & actions metadata
Retrieves metadata for all connectors and their actions available on the platform. Use this endpoint to discover which connectors and actions are available, including those that have not yet been configured, for example to display the full catalog of integrations and actions.
GET
/
actions
List all connectors & actions metadata
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The number of results per page (default value is 25)
The unified cursor
The relation to group the results by
Example:
["connector"]
Actions Metadata filters
Show child attributes
Show child attributes
Additional data to include in the response
Available options:
action_details, authentication_guides, event_guides Example:
[
"action_details",
"authentication_guides",
"event_guides"
]
Text search across provider names, action labels, and action descriptions
Example:
"employee"
Data to exclude from the response
Available options:
actions Example:
["actions"]
Was this page helpful?
⌘I